AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
LoginAction Class
LoginAction Properties
Action Property
AuthType Property
Events Property
Key Property
Secret Property
Username Property

| LoginAction Secret Property

Get/Set the secret to use when using cleartext login.
The secret contains the user's password as configured in Asterisk's manager.conf.
The secret and key properties are mutually exclusive.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string Secret { get; set; }

    Public Property Secret As String
    	Get
    	Set

    public:
    property String^ Secret {
    	String^ get ();
    	void set (String^ value);
    }

    member Secret : string with get, set

#### Property Value

Type: String
See Also

#### Reference

LoginAction Class
AsterNET.Manager.Action Namespace